## steadyflow 0.1.6

=== CMakeLists.txt ===
project(steadyflow C)
cmake_minimum_required(VERSION 2.6)

# Change version number on release
set(PROJECT_VERSION "0.1.6")
set(COMMON_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share)
set(PROJECT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/steadyflow)

list(APPEND CMAKE_MODULE_PATH
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/cmake
)

option(WANT_AYATANA "Compile with Ayatana libappindicator support" ON)
# Packagers: set the option below to off so it does not generate the binary schema on build.
option(COMPILE_GSETTINGS_ON_INSTALL "Compile GSettings schemas on install" ON)

find_package(PkgConfig REQUIRED)
find_package(Vala REQUIRED)
find_package(GTK2 REQUIRED)
find_package(ExtraDeps REQUIRED)

set(HAVE_AYATANA FALSE)

if(WANT_AYATANA AND APPINDICATOR_FOUND)
	set(HAVE_AYATANA TRUE)
endif(WANT_AYATANA AND APPINDICATOR_FOUND)

include(ValaVersion)
include(ValaPrecompile)
include(GSettings)
include(Po)
include(sources)

ensure_vala_version(0.12.0 MINIMUM)

configure_file(${CMAKE_SOURCE_DIR}/cmake/config.h.in ${CMAKE_BINARY_DIR}/config.h @ONLY)

set(CUSTOM_VAPIS
	# VAPI containing install definitions, mapping from cmake generated config.h
	${CMAKE_SOURCE_DIR}/vapi/AppConfig.vapi
)

set(VALA_PACKAGES
	gee-1.0
	gio-2.0
	glib-2.0
	gtk+-2.0
	gmodule-2.0
	unique-1.0
)

if (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)
	message("-- libnotify version is less than 0.7, using compatibility vapi")
	set(CUSTOM_VAPIS ${CUSTOM_VAPIS} ${CMAKE_SOURCE_DIR}/vapi/libnotify5compat.vapi)
else (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)
	set (VALA_PACKAGES ${VALA_PACKAGES} libnotify)
endif (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)

if(HAVE_AYATANA)
	set(VALA_PACKAGES ${VALA_PACKAGES} appindicator-0.1)
endif(HAVE_AYATANA)

vala_precompile(VALA_C
	${STEADYFLOW_SOURCES}
CUSTOM_VAPIS
	${CUSTOM_VAPIS}
PACKAGES
	${VALA_PACKAGES}
)

# Rule for generating binary GSettings schema in working directory
gsettings_compile_schemas(${CMAKE_SOURCE_DIR}/data ${CMAKE_BINARY_DIR} net.launchpad.steadyflow)

set(DESKTOP_FILE_IN ${CMAKE_SOURCE_DIR}/data/steadyflow.desktop.in)
set(DESKTOP_FILE ${CMAKE_BINARY_DIR}/steadyflow.desktop)

# Merge translations of GenericName and X-GNOME-FullName from .po files into steadyflow.desktop
add_custom_command(OUTPUT ${DESKTOP_FILE}
		COMMAND ${CMAKE_SOURCE_DIR}/cmake/intltool-merge.pl
		ARGS -d ${CMAKE_SOURCE_DIR}/po ${DESKTOP_FILE_IN} ${DESKTOP_FILE}
		DEPENDS ${DESKTOP_FILE_IN}
	)

# Generate .mo from .po
compile_po_files(${CMAKE_SOURCE_DIR}/po LOCALE_FILES)

include_directories(${GTK2_ALL_INCLUDES} ${EXTRA_DEP_INCLUDES} ${CMAKE_BINARY_DIR})
add_definitions(${GTK2_ALL_CFLAGS} ${EXTRA_DEP_CFLAGS}
	-DGETTEXT_PACKAGE=\"${CMAKE_PROJECT_NAME}\"
)

add_executable(steadyflow ${VALA_C} ${GSCHEMAS_COMPILED} ${DESKTOP_FILE} ${LOCALE_FILES})
target_link_libraries(steadyflow ${GTK2_ALL_LIBS} ${EXTRA_DEP_LIBS})

include(install)

=== debian/changelog ===
steadyflow (0.1.6-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - Remove Vcs- headers.
    - Remove libnotify4-dev dependency, removed from Ubuntu.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 21 May 2011 13:18:58 +0700

steadyflow (0.1.6-0ubuntu1) oneiric; urgency=low

  * Initial release. (LP: #779413)

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 08 May 2011 17:25:44 +0700

=== debian/control ===
Source: steadyflow
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 cmake (>= 2.6),
 valac-0.12,
 libgtk2.0-dev (>= 2.16),
 libglib2.0-dev (>= 2.26),
 libgee-dev,
 libappindicator-dev | hello,
 libnotify-dev,
 libunique-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/~steadyflow

Package: steadyflow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gvfs-backends
Description: Simple download manager for GNOME
 Steadyflow is a GTK+ based download manager that aims for minimalism, ease
 of use, and a clean, malleable codebase. It should be easy to control,
 whether from the GUI, command line, or D-Bus.

## steadyflow 0.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 # Change version number on release
-set(PROJECT_VERSION "0.1.6")
+set(PROJECT_VERSION "0.1.7~bzr")
 set(COMMON_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share)
 set(PROJECT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/steadyflow)
 
@@ -34,6 +34,8 @@
 
 ensure_vala_version(0.12.0 MINIMUM)
 
+file (READ ${CMAKE_SOURCE_DIR}/AUTHORS PROJECT_AUTHORS)
+string (REPLACE "\n" "\\n\\\n" PROJECT_AUTHORS ${PROJECT_AUTHORS})
 configure_file(${CMAKE_SOURCE_DIR}/cmake/config.h.in ${CMAKE_BINARY_DIR}/config.h @ONLY)
 
 set(CUSTOM_VAPIS

=== debian/changelog ===
steadyflow (0.1.7-3ubuntu1) quantal; urgency=low

  * Resynchronize with Debian. Remaining change:
    - Build-depend on libappindicator-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Jun 2012 20:49:03 -0400

steadyflow (0.1.7-3) unstable; urgency=low

  * Integrate prepared patches by Michael Biebl <biebl@debian.org>
    for vala 0.14 compatibility. (Closes: #663321)
    + debian/control:
      - Depend on valac-0.14.
    + debian/patches/vala_executable.patch:
      - Search for valac-0.14 as the executable.
    + debian/patches/vala-0.14.patch:
      - Fix compilation errors with valac-0.14.
  * Add DEP-3 headers to patches.
  * debian/control:
    - Update Standards-Version to 3.9.3, no changes needed.

 -- Maia Kozheva <sikon@ubuntu.com>  Mon, 07 May 2012 21:11:35 +0700

steadyflow (0.1.7-2) unstable; urgency=low

  * Remove libappindicator-dev | hello build-dependency; confuses Debian
    buildds even though the second alternative exists. (Closes: #633696)

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 13 Jul 2011 08:31:32 +0700

steadyflow (0.1.7-1) unstable; urgency=low

  * First upload to Debian. (Closes: #624765)
  * Add vala_executable.patch: Force using valac-0.12 even when another version
    of valac is installed in parallel.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 10 Jul 2011 23:11:59 +0700

steadyflow (0.1.7-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 22 May 2011 16:34:52 +0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: steadyflow
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maia Kozheva <sikon@ubuntu.com>
+Maintainer: Maia Kozheva <sikon@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  cmake (>= 2.6),
- valac-0.12,
+ valac-0.14,
+ libappindicator-dev,
  libgtk2.0-dev (>= 2.16),
  libglib2.0-dev (>= 2.26),
  libgee-dev,
- libappindicator-dev | hello,
  libnotify-dev,
  libunique-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/~steadyflow
+DM-Upload-Allowed: yes
 
 Package: steadyflow
 Architecture: any

## steadyflow 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 # Change version number on release
-set(PROJECT_VERSION "0.1.7~bzr")
+set(PROJECT_VERSION "0.2.0")
 set(COMMON_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share)
 set(PROJECT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/steadyflow)
 
@@ -15,9 +15,13 @@
 # Packagers: set the option below to off so it does not generate the binary schema on build.
 option(COMPILE_GSETTINGS_ON_INSTALL "Compile GSettings schemas on install" ON)
 
+set(VALA_REQUIRED_VERSION 0.16)
+set(GLIB_REQUIRED_VERSION 2.30.0)
+set(GTK_REQUIRED_VERSION 3.0.0)
+
 find_package(PkgConfig REQUIRED)
 find_package(Vala REQUIRED)
-find_package(GTK2 REQUIRED)
+find_package(GTK3 REQUIRED)
 find_package(ExtraDeps REQUIRED)
 
 set(HAVE_AYATANA FALSE)
@@ -32,7 +36,7 @@
 include(Po)
 include(sources)
 
-ensure_vala_version(0.12.0 MINIMUM)
+ensure_vala_version(${VALA_REQUIRED_VERSION} MINIMUM)
 
 file (READ ${CMAKE_SOURCE_DIR}/AUTHORS PROJECT_AUTHORS)
 string (REPLACE "\n" "\\n\\\n" PROJECT_AUTHORS ${PROJECT_AUTHORS})
@@ -47,20 +51,13 @@
 	gee-1.0
 	gio-2.0
 	glib-2.0
-	gtk+-2.0
+	gtk+-3.0
 	gmodule-2.0
-	unique-1.0
+	libnotify
 )
 
-if (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)
-	message("-- libnotify version is less than 0.7, using compatibility vapi")
-	set(CUSTOM_VAPIS ${CUSTOM_VAPIS} ${CMAKE_SOURCE_DIR}/vapi/libnotify5compat.vapi)
-else (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)
-	set (VALA_PACKAGES ${VALA_PACKAGES} libnotify)
-endif (${LIBNOTIFY_VERSION} VERSION_LESS 0.7)
-
 if(HAVE_AYATANA)
-	set(VALA_PACKAGES ${VALA_PACKAGES} appindicator-0.1)
+	set(VALA_PACKAGES ${VALA_PACKAGES} appindicator3-0.1)
 endif(HAVE_AYATANA)
 
 vala_precompile(VALA_C
@@ -87,12 +84,12 @@
 # Generate .mo from .po
 compile_po_files(${CMAKE_SOURCE_DIR}/po LOCALE_FILES)
 
-include_directories(${GTK2_ALL_INCLUDES} ${EXTRA_DEP_INCLUDES} ${CMAKE_BINARY_DIR})
-add_definitions(${GTK2_ALL_CFLAGS} ${EXTRA_DEP_CFLAGS}
+include_directories(${GTK3_ALL_INCLUDES} ${EXTRA_DEP_INCLUDES} ${CMAKE_BINARY_DIR})
+add_definitions(${GTK3_ALL_CFLAGS} ${EXTRA_DEP_CFLAGS}
 	-DGETTEXT_PACKAGE=\"${CMAKE_PROJECT_NAME}\"
 )
 
 add_executable(steadyflow ${VALA_C} ${GSCHEMAS_COMPILED} ${DESKTOP_FILE} ${LOCALE_FILES})
-target_link_libraries(steadyflow ${GTK2_ALL_LIBS} ${EXTRA_DEP_LIBS})
+target_link_libraries(steadyflow ${GTK3_ALL_LIBS} ${EXTRA_DEP_LIBS})
 
 include(install)

=== debian/changelog ===
steadyflow (0.2.0-1ubuntu2) saucy; urgency=low

  * Build with default valac 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Jun 2013 17:01:22 -0400

steadyflow (0.2.0-1ubuntu1) quantal; urgency=low

  * Merge from Debian, remaining Ubuntu changes:
    - Build-depend on libappindicator3-dev.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 01 Jul 2012 00:45:46 +0700

steadyflow (0.2.0-1) unstable; urgency=low

  * New upstream release.
    - Now uses vala 0.16. (Closes: #675666)
    - Fixes broken Dutch translation. (Closes: #677465)
    - Clicking the tray icon shows the application window. (Closes: #642669)
  * debian/control:
    - Updated dependencies (Vala 0.16, GTK3, GLib 2.30, removed libunique).
  * Dropped all patches, merged upstream.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 30 Jun 2012 19:40:42 +0700

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Maia Kozheva <sikon@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  cmake (>= 2.6),
- valac-0.14,
- libappindicator-dev,
- libgtk2.0-dev (>= 2.16),
- libglib2.0-dev (>= 2.26),
+ valac (>= 0.16),
+ libgtk-3-dev,
+ libglib2.0-dev (>= 2.30),
  libgee-dev,
  libnotify-dev,
- libunique-dev
+ libappindicator3-dev
 Standards-Version: 3.9.3
 Homepage: https://launchpad.net/~steadyflow
 DM-Upload-Allowed: yes

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS = -Wl,--as-needed

%:
	dh --buildsystem=cmake $@

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPILE_GSETTINGS_ON_INSTALL=OFF

=== debian/watch ===
version=3
https://launchpad.net/steadyflow/+download http://launchpad\.net/steadyflow/.*/\+download/steadyflow-(.*)\.tar\.gz
